summaryrefslogtreecommitdiffstats
path: root/system/motion
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2017-05-09 01:33:51 +0200
committer Willy Sudiarto Raharjo2017-05-13 01:59:20 +0200
commitb8d0f9deb83217a745212497eafdb7706c487b4c (patch)
treef4c1aa773e45dea4ab9763c4a7ac9a1240bdad89 /system/motion
parente293598c6fd6734876f3a60c47d86872920ec46a (diff)
downloadslackbuilds-b8d0f9deb83217a745212497eafdb7706c487b4c.tar.gz
system/motion: Updated for version 4.0.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/motion')
-rw-r--r--system/motion/README6
-rw-r--r--system/motion/doinst.sh3
-rw-r--r--system/motion/motion.SlackBuild36
-rw-r--r--system/motion/motion.info6
4 files changed, 30 insertions, 21 deletions
diff --git a/system/motion/README b/system/motion/README
index 2221563896..8ac638966a 100644
--- a/system/motion/README
+++ b/system/motion/README
@@ -6,9 +6,9 @@ Motion is a command line based tool. It has no graphical user
interface. Everything is setup via the command line or via a set of
configuration files.
-Once installed, please be sure to read /usr/doc/motion-3.2.11/README for
-any configuration help. You will need to rename /etc/motion-dist.conf to
-/etc/motion.conf once you have made the changes you deem necessary.
+Once installed, please be sure to read README for any configuration help.
+You will need to rename /etc/motion/motion-dist.conf to
+/etc/motion/motion.conf once you have made the changes you deem necessary.
This build has not been tested with the optional postgresql included, but
you're welcome to give it a go!
diff --git a/system/motion/doinst.sh b/system/motion/doinst.sh
index 282b54a44c..e3ec6432e2 100644
--- a/system/motion/doinst.sh
+++ b/system/motion/doinst.sh
@@ -11,5 +11,4 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/motion-dist.conf.new
-
+config etc/motion/motion-dist.conf.new
diff --git a/system/motion/motion.SlackBuild b/system/motion/motion.SlackBuild
index 38105e5dce..9a9f2bb6f4 100644
--- a/system/motion/motion.SlackBuild
+++ b/system/motion/motion.SlackBuild
@@ -25,7 +25,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=motion
-VERSION=${VERSION:-20120717_0fb31d6}
+VERSION=${VERSION:-4.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -50,21 +50,30 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+# Check ffmpeg existence
+ff=`pkg-config --exists libavfilter`
+if [ $? -eq 0 ]; then
+ ffmpeg=""
+else
+ ffmpeg="--without-ffmpeg"
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-release-$VERSION
+tar xvf $CWD/$PRGNAM-release-$VERSION.tar.gz
+cd $PRGNAM-release-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+autoreconf
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -73,7 +82,8 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--localstatedir=/var \
--build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --host=$ARCH-slackware-linux \
+ $ffmpeg
make
make install DESTDIR=$PKG
@@ -85,11 +95,11 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Let's not clobber the config file
-mv $PKG/etc/motion-dist.conf $PKG/etc/motion-dist.conf.new
+mv $PKG/etc/motion/motion-dist.conf $PKG/etc/motion/motion-dist.conf.new
-mkdir $PKG/usr/doc
-mv $PKG/usr/share/doc/motion-* $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/$PRGNAM-*/examples $PKG/usr/doc/$PRGNAM-$VERSION/
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/motion/* $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/$PRGNAM/examples $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/share # We moved the docs from there
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/motion/motion.info b/system/motion/motion.info
index 643987ca17..d602d0e1bb 100644
--- a/system/motion/motion.info
+++ b/system/motion/motion.info
@@ -1,8 +1,8 @@
PRGNAM="motion"
-VERSION="20120717_0fb31d6"
+VERSION="4.0.1"
HOMEPAGE="http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/motion-20120717_0fb31d6.tar.xz"
-MD5SUM="904e2b1a621b1eb13c9c66adece88508"
+DOWNLOAD="https://github.com/Motion-Project/motion/archive/release-4.0.1/motion-release-4.0.1.tar.gz"
+MD5SUM="5c87f90c4118d8cf0fb14700db69118f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""